Domain Intelligence
Domain Intelligence: dns
Free. Returns structured domain intelligence.
POST
/
tools
/
domain-intelligence
/
dns
Domain Intelligence: dns
curl --request POST \
--url https://api.osint.ly/tools/domain-intelligence/dns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "example.com"
}
'import requests
url = "https://api.osint.ly/tools/domain-intelligence/dns"
payload = { "domain": "example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'example.com'})
};
fetch('https://api.osint.ly/tools/domain-intelligence/dns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/domain-intelligence/dns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain' => 'example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/domain-intelligence/dns"
payload := strings.NewReader("{\n \"domain\": \"example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/domain-intelligence/dns")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domain\": \"example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/domain-intelligence/dns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain\": \"example.com\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"dnssec": {
"authenticated": true,
"dsPresent": true
},
"emailAuth": {
"bimi": null,
"dkim": {
"selectorsChecked": [
"default"
]
},
"dmarc": "v=DMARC1;p=reject;sp=reject;adkim=s;aspf=s",
"dmarcTags": {
"adkim": "s",
"aspf": "s",
"p": "reject",
"pct": null,
"rua": null,
"ruf": null,
"sp": "reject"
},
"mtaSts": null,
"spf": "v=spf1 -all",
"tlsRpt": null
},
"primaryIp": "172.66.147.243",
"addresses": {
"ipv4": [
"172.66.147.243",
"104.20.23.154"
],
"ipv6": [
"2606:4700:10::ac42:93f3",
"2606:4700:10::6814:179a"
]
},
"records": {
"A": [
"172.66.147.243"
],
"AAAA": [
"2606:4700:10::ac42:93f3"
],
"CAA": [],
"CNAME": [],
"DS": [
"2371 13 2 c988ec423e3880eb8dd8a46fe06ca230ee23f35b578d64e78b29c3e1c83d245a"
],
"MX": [
"0 ."
],
"NS": [
"hera.ns.cloudflare.com."
],
"PTR": [],
"SOA": [
"elliott.ns.cloudflare.com. dns.cloudflare.com. 2418004112 10000 2400 604800 1800"
],
"TXT": [
"v=spf1 -all"
]
}
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "dns",
"query": {
"domain": "example.com"
},
"tool": "domain-intelligence"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "A valid API key is required"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PLAN_FEATURE_REQUIRED",
"message": "Plan feature required",
"details": "Tools require a paid API subscription with the tools feature enabled"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PROVIDER_UNAVAILABLE",
"message": "Provider unavailable",
"details": "A required enrichment source is unavailable for this operation"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}Authorizations
Was this page helpful?
⌘I
Domain Intelligence: dns
curl --request POST \
--url https://api.osint.ly/tools/domain-intelligence/dns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "example.com"
}
'import requests
url = "https://api.osint.ly/tools/domain-intelligence/dns"
payload = { "domain": "example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'example.com'})
};
fetch('https://api.osint.ly/tools/domain-intelligence/dns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/domain-intelligence/dns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain' => 'example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/domain-intelligence/dns"
payload := strings.NewReader("{\n \"domain\": \"example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/domain-intelligence/dns")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domain\": \"example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/domain-intelligence/dns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain\": \"example.com\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"dnssec": {
"authenticated": true,
"dsPresent": true
},
"emailAuth": {
"bimi": null,
"dkim": {
"selectorsChecked": [
"default"
]
},
"dmarc": "v=DMARC1;p=reject;sp=reject;adkim=s;aspf=s",
"dmarcTags": {
"adkim": "s",
"aspf": "s",
"p": "reject",
"pct": null,
"rua": null,
"ruf": null,
"sp": "reject"
},
"mtaSts": null,
"spf": "v=spf1 -all",
"tlsRpt": null
},
"primaryIp": "172.66.147.243",
"addresses": {
"ipv4": [
"172.66.147.243",
"104.20.23.154"
],
"ipv6": [
"2606:4700:10::ac42:93f3",
"2606:4700:10::6814:179a"
]
},
"records": {
"A": [
"172.66.147.243"
],
"AAAA": [
"2606:4700:10::ac42:93f3"
],
"CAA": [],
"CNAME": [],
"DS": [
"2371 13 2 c988ec423e3880eb8dd8a46fe06ca230ee23f35b578d64e78b29c3e1c83d245a"
],
"MX": [
"0 ."
],
"NS": [
"hera.ns.cloudflare.com."
],
"PTR": [],
"SOA": [
"elliott.ns.cloudflare.com. dns.cloudflare.com. 2418004112 10000 2400 604800 1800"
],
"TXT": [
"v=spf1 -all"
]
}
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "dns",
"query": {
"domain": "example.com"
},
"tool": "domain-intelligence"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "A valid API key is required"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PLAN_FEATURE_REQUIRED",
"message": "Plan feature required",
"details": "Tools require a paid API subscription with the tools feature enabled"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PROVIDER_UNAVAILABLE",
"message": "Provider unavailable",
"details": "A required enrichment source is unavailable for this operation"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}